﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsControlLibrary1
{
    public partial class UserControl1 : UserControl
    {
        private byte[] m_document;

        public UserControl1()
        {
            InitializeComponent();
            browserTextControl1.ButtonBar = browserButtonBar1;
            browserTextControl1.RulerBar = browserRulerBar1;
            browserTextControl1.VerticalRulerBar = browserRulerBar2;
            browserTextControl1.StatusBar = browserStatusBar1;
            browserTextControl1.CreateControl();
        }

        public byte[] Document
        {
            get
            {
                TXTextControl.SaveSettings sSettings = new TXTextControl.SaveSettings();
                browserTextControl1.Save(out m_document, sSettings);
                return m_document;
            }
            set
            {
                m_document = value;
                TXTextControl.LoadSettings lSettings = new TXTextControl.LoadSettings();
                browserTextControl1.Load(m_document, lSettings);
            }
        }
    }
}
