﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Forms;

namespace WpfBrowserApplication1
{
    /// <summary>
    /// Interaction logic for Page1.xaml
    /// </summary>
    public partial class Page1 : Page
    {
        WindowsFormsControlLibrary1.UserControl1 TX;

        public Page1()
        {
            InitializeComponent();

            // create a new instance of the user control and
            // set the child control of the windows host control
            TX = new WindowsFormsControlLibrary1.UserControl1();
            windowsFormsHost1.Child = TX;
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            // create a new ServerTextControl instance to load a document
            TXTextControl.ServerTextControl myServer = new TXTextControl.ServerTextControl();
            myServer.Create();

            myServer.Load(AppDomain.CurrentDomain.BaseDirectory + "/doc.rtf", TXTextControl.StreamType.RichTextFormat);

            // save the content into a byte arry
            byte[] data;

            myServer.Save(out data, TXTextControl.BinaryStreamType.InternalUnicodeFormat);
            myServer.Dispose();

            // load the document into the user control
            TX.Document = data;
        }
    }
}
